com.amazonaws.codegen.model.intermediate

## Class VariableModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.DocumentationModel
  - - com.amazonaws.codegen.model.intermediate.VariableModel

    public class VariableModel
    extends DocumentationModel

### Field Summary

### Fields inherited from class com.amazonaws.codegen.model.intermediate.DocumentationModel

`documentation`

### Constructor Summary

Constructors
Constructor and Description
`VariableModel(String variableName, String variableType)`
`VariableModel(String variableName, String variableType, String variableDeclarationType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSimpleType()`
`String` `getVariableDeclarationType()`
`String` `getVariableName()`
`String` `getVariableSetterType()` Returns the Java type used for the input parameter of a setter method.
`String` `getVariableType()`
`void` `setVariableDeclarationType(String variableDeclarationType)`
`void` `setVariableName(String variableName)`
`void` `setVariableType(String variableType)`
`String` `toString()`
`VariableModel` `withDocumentation(String documentation)`

### Methods inherited from class com.amazonaws.codegen.model.intermediate.DocumentationModel

`getDocumentation, setDocumentation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VariableModel

    public VariableModel(String variableName,
                         String variableType)

#### VariableModel

    public VariableModel(String variableName,
                         String variableType,
                         String variableDeclarationType)

### Method Detail

#### getVariableName

    public String getVariableName()

#### setVariableName

    public void setVariableName(String variableName)

#### getVariableType

    public String getVariableType()

#### setVariableType

    public void setVariableType(String variableType)

#### getSimpleType

    public String getSimpleType()

#### withDocumentation

    public VariableModel withDocumentation(String documentation)

#### getVariableDeclarationType

    public String getVariableDeclarationType()

#### getVariableSetterType

    public String getVariableSetterType()

Returns the Java type used for the input parameter of a setter method.

#### setVariableDeclarationType

    public void setVariableDeclarationType(String variableDeclarationType)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`